NSADMIN(1)

NAME
nsadmin - MICO naming service administration tool

SYNOPSIS
nsadmin [command ...]

DESCRIPTION
nsadmin provides a user interface to the COS naming service. If invoked with no command line options (except ORB specific ones, such as -ORBNamingAddr) it will enter interactive mode, show a prompt and wait for user input. Otherwise the command line arguments are evaluated as a command. Below is a short description of the supported commands. Context or binding names follow the syntax of Unix file names: slashes are used to separate context names; names starting with a slash are relative to the root, everything else is relative to the current context; .. stands for the parent context.

OPTIONS

help
    Gives an overview of all supported commands.

pwd Prints the path of the current naming context.

ls <binding-or-context>
    If <binding-or-context> is a binding this will show the associated stringified IOR. If <binding-or-context> is a context then this will show the contents of it. If <binding-or-context> is omitted the contents of the current naming context are shown.

cd <context>
    Make <context> the current naming context.

mkdir <context>
    Create a new context.

bind <binding> <stringified-IOR>
    Bind <binding> to <stringified-IOR>.

rm <binding-or-context>
    Delete the given binding or context. If the specified argument is a context then all its subcontexts will be removed, too.

exit
    Quit nsadmin.

FILES
~/.micorc

SEE ALSO
MICO Reference Manual, rsh(1), micod(8), imr(1), ird(8), micorc(5), idl(1), nsd(8)

COPYRIGHT
Copyright (C) 1997, Kai-Uwe Sattler

AUTHOR
Kai-Uwe Sattler